Subject: Re: Can't Read /cygdrive/c in snapshots from 1108 on (unknown windows error 122)
From: Cliff Hones <[email-masked]>
To: [email-masked]
Date: Mon, 24 Nov 2003 14:21:31 +0000

D. N. Knisely wrote:

>> I unmounted those mounts:
>> $ mount
>> C:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system
>> (binmo
>> de)
>> C:\cygwin\bin on /usr/bin type system (textmode)
>> C:\cygwin\lib on /usr/lib type system (textmode)
>> C:\cygwin on / type system (textmode)
>> c: on /cygdrive/c type user (textmode,noumount)
>>
>> No change.
>>
>> Am I supposed to have an actual directory entry for cygdrive?  There is a
>> directory there:
>> ...
>> $ ls -l cygdrive
>> total 0
>> d---------   29 ???????? ????????        0 Nov 24 07:09 c/
>> $ ls -ld cygdrive
>> dr-xr-xr-x    4 0        0               0 Dec 31  1969 cygdrive/
>>
>> It doesn't seem to make any different if I rename it to something else; I
>> gather that /cygdrive is actually a virtual drive like /dev.

That's right.  In a standard installation you would not have a real
directory named cygdrive in your Cygwin root, but I wouldn't have
expected there to be a problem if you did have.  [Just tried it
on my system and I have no problem.]

However, from the above, you do seem to have a permission/ownership
problem.  I'd recommend removing the real /cygdrive directory, and
then repeating "ls -l /cygdrive" - you should see your windows C
drive and it should have sensible ownership/protection - the
same as you see with "ls -ld C:/".

You don't, by any chance, have a "real" directory named C under
your real /cygdrive?  That may well confuse Cygwin.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/